# encoding:utf-8
class String
  #
  #SINGLE_BYTE_REGEX = /\A[\u0000-\u00ff]+\z/
  #def is_single_byte_char?
  #  !!(SINGLE_BYTE_REGEX =~ self.strip)
  #end
  #
  ## Notice: In mysql db with utf8, varchar(4) means 4 chinese characters or 4 numbers or 4 english letters.
  ## So this method is NOT used for valid whether the string can be stored to mysql db with utf8.
  ## return char size of the string, with 2 for each chinese characters and 1 for others.
  ##
  #MULTI_BYTE_REGEX = /[^\u0000-\u00ff]/
  #def char_size
  #  self.gsub(MULTI_BYTE_REGEX, '12').length
  #end



  EMAIL_ADDR_REGEX = /\A([-_A-Za-z0-9\.]+)@([_A-Za-z0-9]+\.)+[A-Za-z0-9]{2,3}\z/
  def is_email?
    !!(EMAIL_ADDR_REGEX =~ self.strip)
  end

  CHINESE_CHARACTER_REGEX = /\A[\u4e00-\u9fa5]+\z/
  def is_chinese_character?
    !!(EMAIL_ADDR_REGEX =~ self.strip)
  end

  CELLPHONE_NUM_REGEX = /\A1\d{10}\z/
  def is_cellphone_num?
    !!(CELLPHONE_NUM_REGEX =~ self.strip)
  end
end